using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.PackageCQ.EventHandlers;

public class UpdatePackageEventHandler : INotificationHandler<UpdatePackageEvent>
{
    private readonly ILogger<UpdatePackageEventHandler> _logger;

    public UpdatePackageEventHandler(ILogger<UpdatePackageEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(UpdatePackageEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
